package com.cooleshow.usercenter.data.respository


import com.cooleshow.base.data.net.RetrofitFactory
import com.cooleshow.base.data.protocol.BaseResp
import com.kotlin.user.data.api.UploadApi
import io.reactivex.rxjava3.core.Observable
import javax.inject.Inject

/*
    上传相关 数据层
 */
class UploadRepository @Inject constructor(){
    /*
        获取七牛云上传凭证
     */
    fun getUploadToken(): Observable<BaseResp<String>> {
        return RetrofitFactory.instance.create(UploadApi::class.java).getUploadToken()
    }


}
